javax.el

## Class ImportHandler

- java.lang.Object
- - javax.el.ImportHandler

-     public class ImportHandler
      extends java.lang.Object

  Since:
    EL 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `importClass(java.lang.String name)`
    `void` | `importPackage(java.lang.String name)`
    `void` | `importStatic(java.lang.String name)`
    `java.lang.Class<?>` | `resolveClass(java.lang.String name)`
    `java.lang.Class<?>` | `resolveStatic(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportHandler

          public ImportHandler()

  - ### Method Detail

    - #### importStatic

          public void importStatic(java.lang.String name)
                            throws ELException

      Throws:
        `ELException`

    - #### importClass

          public void importClass(java.lang.String name)
                           throws ELException

      Throws:
        `ELException`

    - #### importPackage

          public void importPackage(java.lang.String name)

    - #### resolveClass

          public java.lang.Class<?> resolveClass(java.lang.String name)

    - #### resolveStatic

          public java.lang.Class<?> resolveStatic(java.lang.String name)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.